// Thresholding.h
// Chris Pocock 2014

#ifndef THRESHOLDING_H_
#define THRESHOLDING_H_

#include <opencv/cv.h>
#include <opencv/highgui.h>

using namespace cv;

class Thresholding {

private:

	// Class variables
	int threshold_sens;
	int max_threshold_sens;

public:

	// Class methods
	Thresholding();
	virtual ~Thresholding();
	void setupUi();
	Mat threshold(Mat&);
};

#endif
